ProgramEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.guide
Interface ProgramEvent

All Superinterfaces:
  SIElement, SIRetrievable

    public interface ProgramEvent

extends SIElement

`ProgramEvent` represents collection of elementary streams with a common time base, an associated start time, and an associated end time. An event is equivalent to the common industry usage of "TV program."

The Event Information Table (EIT) contains information (titles, start times, etc.) for events on defined services. An event is, in most cases, a typical TV program, however its definition may be extended to include particular data broadcasting sessions and other information segments.

A `ProgramEvent` object may optionally implement the `CAIdentification` interface. Note that all time values are in UTC time.

See Also:
  `java.util.Date`, `CAIdentification`, Optionally implemented interfaces

Method Summary
`long` | `getDuration()` Returns the duration of this program event in seconds.
`Date` | `getEndTime()` Returns the end time of this program event.
`String` | `getName()` Returns the program event title.
`ContentRatingAdvisory` | `getRating()` Reports content advisory information associated with this program for the local rating region.
`Service` | `getService()` Reports the `Service` this program event is associated with.
`Date` | `getStartTime()` Returns the start time of this program event.
`SIRequest` | `retrieveComponents(SIRequestor requestor)` Retrieves an array of service components which are part of this `ProgramEvent`.
`SIRequest` | `retrieveDescription(SIRequestor requestor)` Retrieves a textual description of the event.

Methods inherited from interface javax.tv.service.SIElement
`equals, getLocator, getServiceInformationType, hashCode`

Methods inherited from interface javax.tv.service.SIRetrievable
`getUpdateTime`

Method Detail

### getStartTime

    Date getStartTime()

  Returns the start time of this program event. The start time is in UTC time.

  Returns:
    This program's start time (UTC).

### getEndTime

    Date getEndTime()

  Returns the end time of this program event. The end time is in UTC time.

  Returns:
    This program's end time (UTC).

### getDuration

    long getDuration()

  Returns the duration of this program event in seconds.

  Returns:
    This program's duration in seconds.

### getName

    String getName()

  Returns the program event title. This information may be obtained in the ATSC EIT table or the DVB Short Event Descriptor.

  Returns:
    A string representing this program's title, or an empty string if the title is unavailable.

### retrieveDescription

    SIRequest retrieveDescription(SIRequestor requestor)

  Retrieves a textual description of the event. This method delivers its results asynchronously.

  Parameters:
    `requestor` - The `SIRequestor` to be notified when this retrieval operation completes.
  Returns:
    An `SIRequest` object identifying this asynchronous retrieval request.
  See Also:
    `ProgramEventDescription`

### getRating

    ContentRatingAdvisory getRating()

  Reports content advisory information associated with this program for the local rating region.

  Returns:
    A `ContentRatingAdvisory` object describing the rating of this `ProgramEvent` or `null` if no rating information is available.

### getService

    Service getService()

  Reports the `Service` this program event is associated with.

  Returns:
    The `Service` this program event is delivered on.

### retrieveComponents

    SIRequest retrieveComponents(SIRequestor requestor)

  Retrieves an array of service components which are part of this `ProgramEvent`. Service component information may not always be available. If the `ProgramEvent` is current, this method will provide only service components associated with the `Service` to which the `ProgramEvent` belongs. If the `ProgramEvent` is not current, no guarantee is provided that all or even any of its service components will be available.

  This method delivers its results asynchronously. The retrieved array will only contain `ServiceComponent` instances `c` for which the caller has `javax.tv.service.ReadPermission(c.getLocator())`. If no `ServiceComponent` instances meet this criteria, this method will result in an `SIRequestFailureType` of `DATA_UNAVAILABLE`.

  Parameters:
    `requestor` - The `SIRequestor` to be notified when this retrieval operation completes.
  Returns:
    An `SIRequest` object identifying this asynchronous retrieval request.
  See Also:
    `ServiceComponent`, `ReadPermission`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD